summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>2015-12-18 11:11:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-12-19 07:22:57 +0700
commit55a8e5b2988be90f9bc0efe2fb324a480238f794 (patch)
tree423c3063e85734a71e60a6a9911074a98d8f9093
parent08c2f5a404b13a4988c9ba0b09379107efdd3a2f (diff)
downloadslackbuilds-55a8e5b2988be90f9bc0efe2fb324a480238f794.tar.gz
slackbuilds-55a8e5b2988be90f9bc0efe2fb324a480238f794.tar.xz
desktop/mimi: Added (xdg-open alternative).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/mimi/README10
-rw-r--r--desktop/mimi/mimi.SlackBuild65
-rw-r--r--desktop/mimi/mimi.info10
-rw-r--r--desktop/mimi/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/desktop/mimi/README b/desktop/mimi/README
new file mode 100644
index 0000000000..cfb9b41e96
--- /dev/null
+++ b/desktop/mimi/README
@@ -0,0 +1,10 @@
+mimi is an improved verision of xdg-open. The original xdg-open works horribly without DE environment.
+
+Note:
+
+This WILL overwrite xdg-open. If you desire to go back to the original xdg-open script, be sure to
+reinstall xdg-utils from Slackware's repo.
+
+You specifically define what applications should be opened by which mime type. Simple make a text file
+at "~/.config/mimi/mime.conf" and edit it to your liking. If you don't feel like doing, this mimi will
+automatically find the best suited desktop file for the file. More info on the Github page.
diff --git a/desktop/mimi/mimi.SlackBuild b/desktop/mimi/mimi.SlackBuild
new file mode 100644
index 0000000000..3cf5765e61
--- /dev/null
+++ b/desktop/mimi/mimi.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for mimi
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mimi
+VERSION=${VERSION:-d85ea825}
+SRCVER=d85ea8256ed627e93b387cd42e4ab39bfab9504c
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+unzip $CWD/$PRGNAM-$SRCVER.zip || unzip $CWD/$SRCVER.zip
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Copy over shell scripts to bin
+install -D -m 0755 xdg-open $PKG/usr/bin/xdg-open
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/mimi/mimi.info b/desktop/mimi/mimi.info
new file mode 100644
index 0000000000..56a91c6185
--- /dev/null
+++ b/desktop/mimi/mimi.info
@@ -0,0 +1,10 @@
+PRGNAM="mimi"
+VERSION="d85ea8256ed627e93b387cd42e4ab39bfab9504c"
+HOMEPAGE="https://github.com/march-linux/mimi/"
+DOWNLOAD="https://github.com/march-linux/mimi/archive/d85ea8256ed627e93b387cd42e4ab39bfab9504c.zip"
+MD5SUM="e3b70b4473fb1a319c36688cea356efc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/desktop/mimi/slack-desc b/desktop/mimi/slack-desc
new file mode 100644
index 0000000000..28316fc3e4
--- /dev/null
+++ b/desktop/mimi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+mimi: mimi (xdg-open alternative)
+mimi:
+mimi: mimi is an improved verision of xdg-open. The original xdg-open works
+mimi: horribly without DE environment.
+mimi:
+mimi: Homepage: https://github.com/march-linux/mimi/
+mimi:
+mimi:
+mimi:
+mimi:
+mimi: